# QSqlRelationalTableModel Class Reference

### [com.trolltech.qt.sql package]

Inherits QSqlTableModel.

### Constructor

- void QSqlRelationalTableModel(QObject parent, QSqlDatabase db)

### Constructor Properties

- prototype: The QSqlRelationalTableModel prototype object

### Prototype Object Properties

The QSqlRelationalTableModel prototype object inherits properties from the QSqlTableModel prototype object and also has the following properties.

- QSqlRelation relation(int column)
- QSqlTableModel relationModel(int column)
- void setRelation(int column, QSqlRelation relation)

### Instance Properties

QSqlRelationalTableModel objects have no special properties beyond those inherited from the QSqlRelationalTableModel prototype object.